<template lang="pug">
  b-modal#cardModal
    .d-flex
</template>

<script>

  import ShoppingCart from './ShoppingCart.vue';
  import Form from './Form.vue';

  export default {
    name: "Modal",
    props: {
      cartItems: {
        type: Array,
        default: () => []
      },
      coefficientForNewAdd: {
        type: Boolean
      }
    },

    data() {
      return {
        cartMode: true,
        liveTitle: true
      }
    },

    // For Modal Window behavior

    methods: {

      hideModal() {
        this.$root.$emit('bv::hide::modal', 'cardModal')
        this.cartMode = true
      },

      onHidden(evt) {
        let parsed = JSON.stringify(this.cartItems)
        localStorage.setItem("cartItems", parsed)
        this.cartMode = true
      },

      navigateToForm() {
        this.$router.push({path: '/form'})
      },
    },

    // For disabled style of button "Checkout"

    computed: {
      toDisable() {
        return this.cartItems.length <= 0;
      }
    },

    components: {
      appShoppingCart: ShoppingCart,
      appForm: Form
    }
  }
</script>

<style lang="scss" scoped>

  .cl-sheckout {
    .active {
      display: none;
    }
  }

  .modal-body {
    padding: 9px 1rem 1rem 1rem !important;
  }

  .clearBtn {
    padding: 0px 10px 1px 10px;
    height: 21px;
    line-height: 0px;
  }
</style>
